server {
	
	listen                     443;
	listen                     [::]:443;
	
	server_name                {{domain_name}};

	access_log                 {{path_root_server}}/logs/nginx_proxy_access.log;
	error_log                  {{path_root_server}}/logs/nginx_proxy_error.log;

	
	location / {
		proxy_pass             http://localhost:{{port_docker_nginx}};
		proxy_redirect         off;
		proxy_http_version     1.1;
		proxy_set_header       Upgrade $http_upgrade;
		proxy_set_header       Connection "upgrade";
		proxy_set_header       Last-Modified $date_gmt;
		proxy_set_header       Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0';
		proxy_no_cache         1;
		proxy_cache_bypass     1;
		add_header             Last-Modified $date_gmt;
		add_header             Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0';
		if_modified_since      off;
		expires                off;
		etag                   off;
		proxy_intercept_errors on;
	}
	
	error_page                 404  /404.html;
	location = /404.html {
		root                   {{path_root_server}};
		internal;
	}
}


server {
    if ($host = {{domain_name}}) {
        return                 301 https://$host$request_uri;
    }

    listen                     80;
    listen                     [::]:80;
    server_name                {{domain_name}};
    return                     404;
}
